/*
 * ----------------------------------------------------------------------------
 *
 * ztdb-my.h
 * Copyright (C) 2003, 2004  Fabian Pietsch
 *
 * ----------------------------------------------------------------------------
 *
 */

/*
 * zzztel MySQL database backend module
 ******************************************************************************
 * MySQL backend for ztdb abstraction interface
 *
 */

/* handle multiple inclusions */
#ifndef __ZTDB_MY_H
#define __ZTDB_MY_H

#define ZTDB_GROUP	"zzztel"
#define ZTDB_HOST	NULL
#define ZTDB_USER	NULL
#define ZTDB_DB		"fabian_zzztel"


/* prototypes for MySQL backend */
extern int ztdb_mysql_init(void);
extern int ztdb_mysql_finish(void);
extern int ztdb_mysql_query_do(const char *query);
extern int ztdb_mysql_query_res_init(const char *query);
extern const char *const *ztdb_mysql_query_res_fetch(void);
extern int ztdb_mysql_query_res_finish(void);

#endif /* __ZTDB_MY_H */
