/*
 * ----------------------------------------------------------------------------
 *
 * zttn.h -- telephone number object for zzztel
 * Copyright (C) 2003, 2004  Fabian Pietsch
 *
 * ----------------------------------------------------------------------------
 *
 */

/* handle multiple inclusions */
#ifndef __ZTTN_H
#define __ZTTN_H

/* telephone number object */
struct zttelnum
{
	char *pre_int;		/* international prefix	*/
	char *pre_local;	/* local prefix		*/
	char *line;		/* line's local number	*/
	char *comment;		/* e.g., name		*/
};
typedef struct zttelnum ZTTN;

/* ZTTN related function prototypes */
extern ZTTN *zttn_new(ZTTN *tn_template);
extern void zttn_free(ZTTN *tn);

#endif /* __ZTTN_H */
